%define version 20001110
%define release 7mdk
%define ipcalcname ipv6calc
%define ipcalcversion 0.19

Summary: The ping program for checking to see if network hosts are alive.
Name: iputils
Version: %{version}
Release: %{release}
Copyright: BSD
Group: System/Base
Source0: http://ftp.sunet.se/pub/os/Linux/ip-routing/iputils-ss001110.tar.bz2
Source1: bonding-0.2.tar.bz2
Source2: ftp://ftp.bieringer.de/pub/linux/IPv6/ipv6calc/%ipcalcname-%{ipcalcversion}.tar.bz2
Patch0: ping-deadline.patch.bz2
Patch1: iputils-991024.manfix
Patch2: iputils-20000418-reverseDNS.patch.bz2
Patch3: iputils-20000418-glibc22.patch.bz2
Patch4: iputils-20000418-doco.patch.bz2
Patch5: iputils-20000418-timetravel.patch.bz2
Patch6: iputils-20000418-speling.patch.bz2
Patch8: iputils-20001007-bug23844.patch.bz2
Patch9: iputils-20001007-compilerwarnings.patch.bz2
Patch10: iputils-20001007-deadline.patch.bz2
Patch11: iputils-20001110-overflow.patch.bz2

Patch100: iputils-mdkconfig.patch.bz2
Patch101: iputils-noping6-ppc.patch.bz2
Patch102: ipv6calc-0.19-Makefile.patch.bz2
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
Conflicts: xinetd < 2.1.8.9pre14-2mdk

%description
The iputils package contains ping, a basic networking tool.  The ping
command sends a series of ICMP protocol ECHO_REQUEST packets to a
specified network host and can tell you if that machine is alive and
receiving network traffic.

ipv6calc is a small utility which formats and calculates IPv6 addresses in
different ways. It extends the existing address detection on IPv6 initscript 
setup or make life easier in adding reverse IPv6 zones to DNS
or using in DNS queries like
 nslookup -q=ANY `ipv6calc -r 3ffe:400:100:f101::1/48`
See also here for more details: http://www.bieringer.de/linux/IPv6/

%prep
%setup -q -n %{name} -a 1
%setup -q -D -T -c -a 2 -n %{name}

rm -f bonding-0.2/ifenslave
mv -f bonding-0.2/README bonding-0.2/README.ifenslave

%patch0 -p1 -b .deadline
#%patch1 -p1 -b .manfix
#%patch2 -p1 -b .reverseDNS

# XXX hack around <arpa/inet.h> include problem with glibc-2.2
#%patch3 -p1 -b .glibc22

#%patch4 -p1 -b .doco
#%patch5 -p1 -b .timetravel
#%patch6 -p1 -b .speling

%patch8 -p1 -b .bug23844
%patch9 -p1 -b .compilerwarnings
%patch10 -p1 -b .deadline
%patch11 -p1 -b .overflow

%patch100 -p1
%patch102 -p0
%ifarch ppc
%patch101 -p0
%endif

%build
%make RPM_OPT_FLAGS="%optflags"
%make ifenslave -C bonding-0.2

pushd %{ipcalcname}-%{ipcalcversion} && {
make clean
make RPM_OPT_FLAGS="%optflags"
} && popd

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
install -c clockdiff		${RPM_BUILD_ROOT}%{_sbindir}/
mkdir -p ${RPM_BUILD_ROOT}/{bin,sbin}
install -c arping		${RPM_BUILD_ROOT}/sbin/
ln -s ../../sbin/arping ${RPM_BUILD_ROOT}%{_sbindir}/arping
install -c ping			${RPM_BUILD_ROOT}/bin/
install -c bonding-0.2/ifenslave ${RPM_BUILD_ROOT}/sbin/
%ifnarch ppc
install -c ping6		${RPM_BUILD_ROOT}%{_sbindir}/
%endif
install -c rdisc		${RPM_BUILD_ROOT}%{_sbindir}/
install -c tracepath		${RPM_BUILD_ROOT}%{_sbindir}/
install -c tracepath6		${RPM_BUILD_ROOT}%{_sbindir}/
install -c traceroute6		${RPM_BUILD_ROOT}%{_sbindir}/

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
install -c arping.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
install -c clockdiff.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
install -c in.rdisc.8c		${RPM_BUILD_ROOT}%{_mandir}/man8/rdisc.8
install -c ping.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
install -c tracepath.8		${RPM_BUILD_ROOT}%{_mandir}/man8/

pushd %{ipcalcname}-%{ipcalcversion} && {
make installonly root=$RPM_BUILD_ROOT
} && popd

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README RELNOTES bonding*/README.ifenslave
%{_sbindir}/clockdiff
%attr(4755,root,root)	/bin/ping
/sbin/arping
%{_sbindir}/arping
/sbin/ifenslave
%ifnarch ppc
%attr(4755,root,root) %{_sbindir}/ping6
%{_sbindir}/tracepath6
%endif
%{_sbindir}/tracepath
%attr(4755,root,root) %{_sbindir}/traceroute6
%{_sbindir}/rdisc
%{_mandir}/man8/*
/bin/ipv6calc

%changelog
* Thu Aug 23 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20001110-7mdk
- Merge RH patch.
- Move arping to /sbin/ (and make link compat).

* Fri Jun  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20001110-6mdk
- install in.rdisc.8c as rdisc.8 (rh).
- clean spec.

* Sun Apr  8 2001 Warly <warly@mandrakesoft.com> 20001110-5mdk
- add ipv6calc

* Thu Mar 8 2001 Stew Benedict <sbenedict@mandrakesoft.com> 20001110-4mdk
- no ping6 on PPC for now ;^(

* Mon Feb 26 2001 Warly <warly@mandrakesoft.com> 20001110-3mdk
- Change conflicts to xinetd < 2.1.8.9pre14-2mdk

* Wed Feb 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20001110-2mdk
- Make conflicts with xinetd <= 2.1.8.9pre14-2mdk
- Adjust group.

* Wed Feb 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20001110-1mdk
- First mandrake version from Red Hat version.

